View Issue Details

IDProjectCategoryView StatusLast Update
16966Bug reportsUser / Groups / Rolespublic2021-01-21 13:36
Reportervharris Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version4.4.0-RC2 
Fixed in Version4.4.0-RC2 
Summary16966: Once a user role has been created, clicking on the "edit permissions" button results in the system freezing.
Description

Once a user role has been created, clicking on the "edit permissions" button results in the system freezing.

Steps To Reproduce
  1. From the survey homepage, select Configuration > Users > Create/edit user roles.
  2. Click "Add role".
  3. Enter "Name" and "Description".
  4. Click "Save".
  5. Click the "Edit Permissions" icon (under "Action").

The system freezes. (See attachment).

TagsNo tags attached.
Complete LimeSurvey version number (& build)LimeSurvey Version 4.4.0-RC2
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP Version?

Activities

vharris

vharris

2021-01-12 10:41

manager  

DenisChenu

DenisChenu

2021-01-12 13:50

developer   ~61495

I can not reproduce with https://github.com/LimeSurvey/LimeSurvey/pull/1709

DenisChenu

DenisChenu

2021-01-12 14:57

developer   ~61497

https://github.com/LimeSurvey/LimeSurvey/commit/a0f5c6f03414346eaf38849bdaba31833a302681

Fixed in both :)

Thank you

cdorin

cdorin

2021-01-13 19:13

manager   ~61537

Thx for the quick fixes, @DenisChenu :)

DenisChenu

DenisChenu

2021-01-14 08:42

developer   ~61538

My fault …
My code => my responsibility …

DenisChenu

DenisChenu

2021-01-21 13:36

developer   ~61621

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30901

Related Changesets

LimeSurvey: master a0f5c6f0

2021-01-12 14:35:03

DenisChenu

Details Diff
Fixed issue 16966: No way to edit role Permission
Dev: fix the freeze
Affected Issues
16966
mod - application/models/Permission.php Diff File

Issue History

Date Modified Username Field Change
2021-01-12 10:41 vharris New Issue
2021-01-12 10:41 vharris Status new => assigned
2021-01-12 10:41 vharris Assigned To => cdorin
2021-01-12 10:41 vharris File Added: Create User Roles_Permissions Settings.JPG
2021-01-12 10:42 vharris Status assigned => new
2021-01-12 10:42 vharris Steps to Reproduce Updated View Revisions
2021-01-12 10:51 vharris Steps to Reproduce Updated View Revisions
2021-01-12 13:50 DenisChenu Note Added: 61495
2021-01-12 14:27 DenisChenu Assigned To cdorin => DenisChenu
2021-01-12 14:57 DenisChenu Status new => resolved
2021-01-12 14:57 DenisChenu Resolution open => fixed
2021-01-12 14:57 DenisChenu Fixed in Version => 4.4.0-RC2
2021-01-12 14:57 DenisChenu Note Added: 61497
2021-01-13 19:13 cdorin Note Added: 61537
2021-01-14 08:42 DenisChenu Note Added: 61538
2021-01-21 13:36 DenisChenu Changeset attached => LimeSurvey master a0f5c6f0
2021-01-21 13:36 DenisChenu Note Added: 61621